Loading...
Searching...
No Matches
etl::covariance< Covariance_Type, TInput, TCalc > Class Template Reference

Covariance. More...

`#include <covariance.h>`

## Public Member Functions

| covariance ()
| Constructor.
template<typename TIterator>
| covariance (TIterator first1, TIterator last1, TIterator first2)
| Constructor.
void | add (TInput value1, TInput value2)
| Add a pair of values.
template<typename TIterator>
void | add (TIterator first1, TIterator last1, TIterator first2)
| Add a range.
void | operator() (TInput value1, TInput value2)
template<typename TIterator>
void | operator() (TIterator first1, TIterator last1, TIterator first2)
double | get_covariance () const
| Get the covariance.
| operator double () const
| Get the covariance.
size_t | count () const
| Get the total number added entries.
void | clear ()
| Clear the covariance.

## Additional Inherited Members

Public Types inherited from etl::private_covariance::covariance_traits< TInput, TInput >
typedef TInput | calc_t
Public Types inherited from etl::binary_function< TInput, TInput, void >
typedef TInput | first_argument_type
typedef TInput | second_argument_type
typedef void | result_type

## Detailed Description

template<bool Covariance_Type, typename TInput, typename TCalc = TInput>
class etl::covariance< Covariance_Type, TInput, TCalc >

Covariance.

## Member Function Documentation

## operator()() [1/2]

template<bool Covariance_Type, typename TInput, typename TCalc = TInput>

void etl::covariance< Covariance_Type, TInput, TCalc >::operator() | ( | TInput | value1,
|  | TInput | value2 )

inline

operator () Add a pair of values.

## operator()() [2/2]

template<bool Covariance_Type, typename TInput, typename TCalc = TInput>
template<typename TIterator>

void etl::covariance< Covariance_Type, TInput, TCalc >::operator() | ( | TIterator | first1,
|  | TIterator | last1,
|  | TIterator | first2 )

inline

operator () Add a range.

The documentation for this class was generated from the following file:

- include/etl/covariance.h